{: test that calling halt with non-integer argument causes a fatal error }

program e1064( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

var
   e : colour;

begin { e1064 }

   e := black;
   halt(e);
   writeln( 'halt expression syntax error not detected' );
end. { e1064 }

